
// -------------------------------------------------------------------------//  Notes: 4MHzNbN
//     SW1  RA3,  SW2  RA5
//     LED1 RC0,  LED2 RC1,  LED3 RC2,  LED4 RC3
//     POT  RA4 (AN3)
//    Language: MPLABX XC8
//    Target:   PIC16F1459
// -------------------------------------------------------------------------

#include <xc.h>
#include <stdio.h>
#include "bd_confg.h"
#define _XTAL_FREQ 4000000      // delay_ms(x) ̂߂̒`

#pragma config FOSC  = INTOSC, WDTE = OFF, PWRTE = OFF, MCLRE = OFF, CP  = OFF
#pragma config BOREN = ON, CLKOUTEN = OFF, IESO  = OFF, FCMEN = OFF
#pragma config WRT = OFF, CPUDIV = NOCLKDIV, USBLSCLK = 48MHz, PLLMULT = 4x
#pragma config PLLEN = ENABLED, STVREN = ON, BORV = LO, LPBOR = OFF, LVP = OFF


// MAIN ********************************************************
void main(void){
    char speed;
    OSCCON = 0b00110110;         // NbN4Mhz
    LATC = 0;
    intSWs();
    intLEDs();
    intADC();
    intI2CLCD();
    printf("Speed");
    LCD_posyx(1,0);
    printf("  =");
    while(1){                    // JԂ[v
        if(!SW1)LED1=1;
          else LED1=0;
        if(!SW2)LED2=1;
          else LED2=0;
        speed = resADC()>>6;
        LCD_posyx(1,4);
        printf("%2d",speed);
        speed = 16 - speed;
        while(speed--)__delay_ms(20);
        LED4 = LED3;
        LED3 = !LED3;
    }
}
