
// -------------------------------------------------------------------------//  Notes: 4MHzNbN
//     SW1  RA3,  SW2  RA5
//     LED1 RC0,  LED2 RC1,  LED3 RC2,  LED4 RC3
//     POT  RA4 (AN3)
//    Language: MPLABX XC8
//    Target:   PIC16F1459
// -------------------------------------------------------------------------

#include <xc.h>
#include <stdio.h>
#ifndef _XTAL_FREQ
#define _XTAL_FREQ 4000000      // delay_ms(x) ̂߂̒`
#endif
// board_config --------------------------------------------------------
// Push SW -------------------------------------------------------------
#define intSWs()  TRISA5=1
#define SW1       RA3
#define SW2       RA5
// LED ------------------------------------------------------------------
#define intLEDs() TRISC&=0xF0
#define LED1      LATC0
#define LED2      LATC1
#define LED3      LATC2
#define LED4      LATC3
// ADC ------------------------------------------------------------------
void intADC(void);
unsigned int resADC(void);

// I2C LCD --------------------------------------------------------------
//  p萔
#define CONTRAST  0x28          // for 3.3V
// #define CONTRAST  0x18               // for 5.0V

void intI2CLCD(void);                   // 
void i2cByteWrite(char, char, char);    // i2c byteM
void i2cTxData(char);                   // i2c SSPBUF Zbg
void LCD_dat(char);                     // P\
void LCD_cmd(char);                     // R}ho
void LCD_clr(void);                     // S
void LCD_posyx(char,char);              // J[\ʒuw
